<?php

/**
 * Vvveb
 *
 * Copyright (C) 2022  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

namespace Stripe;

use Stripe\Util\CaseInsensitiveArray;

/**
 * Class ApiResponse.
 */
class ApiResponse {
	/**
	 * @var null|array|CaseInsensitiveArray
	 */
	public $headers;

	/**
	 * @var string
	 */
	public $body;

	/**
	 * @var null|array
	 */
	public $json;

	/**
	 * @var int
	 */
	public $code;

	/**
	 * @param string $body
	 * @param int $code
	 * @param null|array|CaseInsensitiveArray $headers
	 * @param null|array $json
	 */
	public function __construct($body, $code, $headers, $json) {
		$this->body    = $body;
		$this->code    = $code;
		$this->headers = $headers;
		$this->json    = $json;
	}
}
