<?php

/**
 * Vvveb
 *
 * Copyright (C) 2022  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

namespace Stripe;

/**
 * Class OAuthErrorObject.
 *
 * @property string $error
 * @property string $error_description
 */
class OAuthErrorObject extends StripeObject {
	/**
	 * Refreshes this object using the provided values.
	 *
	 * @param array $values
	 * @param null|array|string|Util\RequestOptions $opts
	 * @param bool $partial defaults to false
	 */
	public function refreshFrom($values, $opts, $partial = false) {
		// Unlike most other API resources, the API will omit attributes in
		// error objects when they have a null value. We manually set default
		// values here to facilitate generic error handling.
		$values = \array_merge([
			'error'             => null,
			'error_description' => null,
		], $values);
		parent::refreshFrom($values, $opts, $partial);
	}
}
