<?php

/**
 * Vvveb
 *
 * Copyright (C) 2022  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

namespace Stripe;

class Preview {
	/**
	 * @var \Stripe\BaseStripeClient
	 */
	protected $client;

	public function __construct($client) {
		$this->client = $client;
	}

	private function getDefaultOpts($opts) {
		return \array_merge(['api_mode' => 'preview'], $opts);
	}

	public function get($path, $opts = []) {
		return $this->client->rawRequest('get', $path, null, $this->getDefaultOpts($opts));
	}

	public function post($path, $params, $opts = []) {
		return $this->client->rawRequest('post', $path, $params, $this->getDefaultOpts($opts));
	}

	public function delete($path, $opts = []) {
		return $this->client->rawRequest('delete', $path, null, $this->getDefaultOpts($opts));
	}
}
